#ifndef _ADATA_FLASHRW_H
#define _ADATA_FLASHRW_H

/*
** flashrw.h - IOCTL handlers for reading and writing Flash memory on a card
*/

#include "device.h"

extern OS_STATUS
ADMXRC_EraseFlash(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_GetFlashInfo(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_GetFlashBlockInfo(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_ReadFlash(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_WriteFlash(
  DeviceContext* pDevCtx,
  OS_IO_REQUEST* req);

#endif
