#if !defined(_ADATA_INTWAIT_H)
#define _ADATA_INTWAIT_H

#include "platform.h"
#include "device.h"

extern void
ADMXRC_FpgaIntDpc(
  void* context,
  void* argument);

extern OS_STATUS
ADMXRC_WaitForInterrupt(
  ADMXRC*        devCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_CancelWaitForInterrupt(
  ADMXRC*        devCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_RegInterruptEvent(
  ADMXRC*        devCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_UnregInterruptEvent(
  ADMXRC*        devCtx,
  OS_IO_REQUEST* req);

extern void 
ADMXRC_UnregAllInterruptEvents(
  ADMXRC*        devCtx);

#endif
