#if !defined(_ADATA_DMADESC_H)
#define _ADATA_DMADESC_H

#include "platform.h"
#include "device.h"

extern OS_STATUS
ADMXRC_CreateDMATarget(
  ADMXRC*         devCtx,
  void*           buffer,
  unsigned long   length,
  ADMXRC_DMATGT** tgt);

extern void
ADMXRC_ReleaseDMATarget(
  ADMXRC*        devCtx,
  ADMXRC_DMATGT* tgt);

extern ADMXRC_DMATGT*
ADMXRC_GetDMATarget(
  ADMXRC*       devCtx,
  unsigned long handle);

extern void
ADMXRC_CleanupDMATargets(
  ADMXRC*       devCtx);

extern OS_STATUS
ADMXRC_MapDirectMaster(
  ADMXRC*        devCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_SetupDMA(
  ADMXRC*        devCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_SyncDirectMaster(
  ADMXRC*        devCtx,
  OS_IO_REQUEST* req);

extern OS_STATUS
ADMXRC_UnsetupDMA(
  ADMXRC*        devCtx,
  OS_IO_REQUEST* req);

#endif
